<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

$row = mysql_fetch_row(mysql_query("SELECT TRIM(`path`) FROM `".SQLprefixTable."files` WHERE `id`='".$id."'"));

if (file_exists($row[0])) {

	$file = file_get_contents($row[0]);
	
	require_header('Читать файл');

	$explode = explode(' ', $file);
	$count = count($explode);
	
	$k_page = k_page($count, $set['symbol']); 
	$page = page($k_page);
	
	if ($k_page > 1) {
		navigation(SCRIPT.'/'.$id.'.article/', $k_page, $page, true);
	}

	echo '<div class="menu">'.htmlspecialchars(implode(' ', array_slice($explode, ($set['symbol'] * $page - $set['symbol']), $set['symbol']))).'</div>';
	
	if ($k_page > 1) {
		navigation(SCRIPT.'/'.$id.'.article/', $k_page, $page);
	}

	echo '<div class="menu">
	<b>Скачать файл:</b> <a href="'.SCRIPT.'/'.$id.'.load">TXT</a> / <a href="'.SCRIPT.'/'.$id.'.zip">ZIP</a>
	</div>
	
	<div class="block">
	<a href="'.SCRIPT.'/view/'.$id.'/">К файлу</a><br/>
	<a href="'.SCRIPT.'">Все загрузки</a>
	</div>';
	
	require_footer();
	
} else {
	error('Файл не найден!');
}
?>